package com.bonus.sgzb.app.service;

import com.bonus.sgzb.base.api.domain.BmFlowRecord;

import java.util.List;
    /**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 12:59
* @Version 1.0
*/

public interface BmFlowRecordService{

    int deleteByPrimaryKey(Integer id);

    int insert(BmFlowRecord record);

    int insertOrUpdate(BmFlowRecord record);

    int insertOrUpdateSelective(BmFlowRecord record);

    int insertSelective(BmFlowRecord record);

    BmFlowRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(BmFlowRecord record);

    int updateByPrimaryKey(BmFlowRecord record);

    int updateBatch(List<BmFlowRecord> list);

    int updateBatchSelective(List<BmFlowRecord> list);

    int batchInsert(List<BmFlowRecord> list);

}
